package com.xzzn.ems.domain.vo;

import com.xzzn.common.annotation.Excel;
import com.xzzn.ems.domain.EmsStrategyCurve;

import java.util.List;

/**
 *策略模块曲线图
 *
 * @author xzzn
 * @date 2025-07-13
 */
public class StrategyCurveVo
{

    /** 站点id */
    private String siteId;

    /** 关联的策略ID */
    private Long strategyId;

    /** 模板名称 */
    private String templateName;

    /** 模板id */
    private String templateId;

    /** 月份 */
    private Long month;

    /** 模板时间功率 */
    List<StrategyPowerDataVo> powerList;

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public Long getStrategyId() {
        return strategyId;
    }

    public void setStrategyId(Long strategyId) {
        this.strategyId = strategyId;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public Long getMonth() {
        return month;
    }

    public void setMonth(Long month) {
        this.month = month;
    }

    public List<StrategyPowerDataVo> getPowerList() {
        return powerList;
    }

    public void setPowerList(List<StrategyPowerDataVo> powerList) {
        this.powerList = powerList;
    }
}
